package com.zd.chemical.domain.vo;

import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpChemicalJoinCabinetVo {

    /**
     * 实验室ID
     */
    @Excel(name = "实验室ID")
    @ApiModelProperty(value = "实验室ID")
    private Long subId;

    /**
     * 化学品信息id
     */
    @Excel(name = "化学品信息id")
    @ApiModelProperty(value = "化学品信息id")
    private Long chemicalId;

    private List<HxpChemicalJoinCabinetSon> chemicalJoinCabinetSonList = new ArrayList<>();

    public List <HxpChemicalJoinCabinetSon> getChemicalJoinCabinetSonList() {
        return chemicalJoinCabinetSonList;
    }

    public void setChemicalJoinCabinetSonList(List <HxpChemicalJoinCabinetSon> chemicalJoinCabinetSonList) {
        this.chemicalJoinCabinetSonList = chemicalJoinCabinetSonList;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Long getChemicalId() {
        return chemicalId;
    }

    public void setChemicalId(Long chemicalId) {
        this.chemicalId = chemicalId;
    }
}
